### Struct

# FwupdPlugin StructEfiFile

#### Description

    struct FuStructEfiFile {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_efi_file_new

No description available.

###### fu_struct_efi_file_parse_stream

No description available.

###### fu_struct_efi_file_validate

No description available.

#### Instance methods

###### fu_struct_efi_file_get_attrs

No description available.

###### fu_struct_efi_file_get_data_checksum

No description available.

###### fu_struct_efi_file_get_hdr_checksum

No description available.

###### fu_struct_efi_file_get_name

No description available.

###### fu_struct_efi_file_get_size

No description available.

###### fu_struct_efi_file_get_state

No description available.

###### fu_struct_efi_file_get_type

No description available.

###### fu_struct_efi_file_ref

No description available.

###### fu_struct_efi_file_set_attrs

No description available.

###### fu_struct_efi_file_set_data_checksum

No description available.

###### fu_struct_efi_file_set_hdr_checksum

No description available.

###### fu_struct_efi_file_set_name

No description available.

###### fu_struct_efi_file_set_size

No description available.

###### fu_struct_efi_file_set_state

No description available.

###### fu_struct_efi_file_set_type

No description available.

###### fu_struct_efi_file_unref

No description available.